RK-J - Bug #2736

embed code missing parameters on angular pages
11/30/2022 11:54 AM - Ram Kordale

Status: Closed
Priority: Urgent
Assignee: Ram Kordale
Category:

Target version: 1-RK-J-1

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/30/2022
12/26/2022
100%

4.00 hours
0.00 hour

Description

For some pages, input is of the form

<iframe allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen=
frameborder="0" height="480" src="https://www.youtube.com/embed/n1l-9IIMW7E?start=124&end=306" title="Rare Loop Function”

width="854"></iframe>

But, the embed code on angular is
<div class="container" id="youtubelframe"

data-youtube-source="https://www.youtube.com/embed/n1l-9IIMW7E?enablejsapi=1"><img
src="../../../../assets/img/ai_new_electicity.jpg" frameborder="0" style="margin: 15px 0;"><div

class="playButton"><mat-icon>play_circle_filled</mat-icon></div></div>

So, although the video is supposed to play from 124 seconds and stop at 306 seconds (note the start and end parameters in the
input), video wrongly plays from the beginning and goes past the snippet end and plays until the end of the video.

we need to retain input parameters like start and end.

For example, video in

https://edutestga.appspot.com/document/algorithms-mit-6.006,-fall-2011?documentURL =2697%2F ak23nov%2F2697%2Findex-Probl

em-Statement-4.html is expected to start at about 15:23 of the video (corresponding to the 'Problem Statement' chapter in
https://www.youtube.com/watch?v=HtSuA80QTyo) Chapters are in the video description section on that page.

History

#1 - 11/30/2022 12:29 PM - Ram Kordale

- Description updated

#2 - 12/02/2022 10:30 AM - Ram Kordale

- Assignee set to Rishabh Rai

#3 - 12/26/2022 07:29 AM - Ayush Khandelwal

- Due date set to 12/26/2022

- Status changed from New to Resolved

- Assignee changed from Rishabh Rai to Ayush Khandelwal
- % Done changed from 0 to 100

- Estimated time set to 4.00 h

#4 - 12/26/2022 07:29 AM - Ayush Khandelwal

- Status changed from Resolved to Feedback

#5 - 12/30/2022 01:37 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#6 - 01/20/2023 11:46 AM - Ram Kordale
- Status changed from Feedback to Closed
